Package org.opentcs.drivers.vehicle

# Class DefaultVehicleCommAdapterDescription

java.lang.Object
org.opentcs.drivers.vehicle.VehicleCommAdapterDescription
org.opentcs.drivers.vehicle.DefaultVehicleCommAdapterDescription

All Implemented Interfaces:
  `java.io.Serializable`

    public class DefaultVehicleCommAdapterDescription
    extends VehicleCommAdapterDescription

The default implementation of `VehicleCommAdapterDescription`.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DefaultVehicleCommAdapterDescription​(java.lang.String description, boolean isSimVehicleCommAdapter)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getDescription()` | Returns the description for a vehicle comm adapter.
  `boolean` | `isSimVehicleCommAdapter()` | Whether the comm adapter is a simulating one.

  ### Methods inherited from class org.opentcs.drivers.vehicle.VehicleCommAdapterDescription

  `equals, hashCode`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultVehicleCommAdapterDescription

    public DefaultVehicleCommAdapterDescription​(@Nonnull java.lang.String description, boolean isSimVehicleCommAdapter)
    Creates a new instance.
    Parameters:
      `description` - The description.
      `isSimVehicleCommAdapter` - Whether the comm adapter is a simulating one.

- ## Method Details

  - ### getDescription

    public java.lang.String getDescription()
    Description copied from class: `VehicleCommAdapterDescription`
    Returns the description for a vehicle comm adapter.
    Specified by:
      `getDescription` in class `VehicleCommAdapterDescription`
    Returns:
      The description for a vehicle comm adapter.

  - ### isSimVehicleCommAdapter

    public boolean isSimVehicleCommAdapter()
    Description copied from class: `VehicleCommAdapterDescription`
    Whether the comm adapter is a simulating one.
    Specified by:
      `isSimVehicleCommAdapter` in class `VehicleCommAdapterDescription`
    Returns:
      `true` if, and only if, the vehicle is a simulating one.